Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Export an existing flow from a project utilizing a management key.
This endpoint is used to export an existing flow from a project. The response is the JSON which includes the flow and associated screens.
See Also
- See Flow Overview for more information on flows.
- See Manage Flows for more information on managing (export, import, delete, disable, enable) flows.
curl -X POST "https://api.descope.com/v2/mgmt/flow/export" \ -H "Content-Type: application/json" \ -d '{}'{ "flow": { "flowId": "string", "metadata": { "name": "string", "description": "string", "componentsVersion": "string", "disabled": true, "fingerprint": true, "widget": true, "translation": { "enabled": true, "connectorId": "string", "sourceLanguage": "string", "targetLanguages": [ "string" ] }, "sharedInteractions": [ { "id": "string", "type": "string", "label": "string", "icon": "string", "subType": "string" } ], "management": true, "managementConfig": { "triggers": { "enabled": true, "triggerType": "string", "eventTriggers": { "triggeringEventTypes": [ "string" ] } } } }, "contents": {}, "screens": [ { "screenId": "string", "interactions": [ { "id": "string", "type": "string", "label": "string", "icon": "string", "subType": "string" } ], "contents": {} } ], "references": { "connectors": { "property1": "string", "property2": "string" }, "oauth": [ "string" ], "omitted": [ "string" ], "roles": { "property1": "string", "property2": "string" }, "userAttributes": [ "string" ], "tenantAttributes": [ "string" ] } }}export interface Response {/** * Used by managementservice snapshots - make sure not to break compatibility */flow?: {flowId?: stringmetadata?: ExportedFlowMetadatacontents?: {}screens?: ExportedScreen[]/** * Used by managementservice snapshots - make sure not to break compatibility */references?: {connectors?: {[k: string]: string}oauth?: string[]omitted?: string[]roles?: {[k: string]: string}userAttributes?: string[]tenantAttributes?: string[]}}}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ExportedFlowMetadata {name?: stringdescription?: stringcomponentsVersion?: stringdisabled?: booleanfingerprint?: booleanwidget?: booleantranslation?: ExportedFlowTranslationsharedInteractions?: {id?: stringtype?: stringlabel?: stringicon?: stringsubType?: string}[]management?: booleanmanagementConfig?: ManagementConfig}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ExportedFlowTranslation {enabled?: booleanconnectorId?: stringsourceLanguage?: stringtargetLanguages?: string[]}export interface ManagementConfig {triggers?: ManagementConfigTriggers}export interface ManagementConfigTriggers {enabled?: booleantriggerType?: stringeventTriggers?: ManagementConfigEventTriggers}export interface ManagementConfigEventTriggers {triggeringEventTypes?: string[]}/** * Used by managementservice snapshots - make sure not to break compatibility */export interface ExportedScreen {screenId?: stringinteractions?: {id?: stringtype?: stringlabel?: stringicon?: stringsubType?: string}[]contents?: {}}List/Search Flows POST
### List or search flows within a project utilizing a management key. This endpoint is used to list or search flows within a project. To list all flows, send an empty body such as: `{ }` or `{ "ids": [] }`. To search for a flow or several flows, send a body with the flowIds you want to search such as `{ "ids": ["sign-in"] }` or `{ "ids": ["sign-in", "sign-up"] }`. ### See Also - See [Flow Overview](/customize/flows/) for more information on flows. - See [Manage Flows](/customize/manage_flows/) for more information on managing (export, import, delete, disable, enable) flows.
Import Flow POST
### Import a flow within a project utilizing a management key. This endpoint is used to import a flow to a project. The request items for the `flow` and `screen` this endpoint can be received from the export flow endpoint. ### See Also - See [Flow Overview](/customize/flows/) for more information on flows. - See [Manage Flows](/customize/manage_flows/) for more information on managing (export, import, delete, disable, enable) flows.